Bug 428833 - Review Request: gnome-settings-daemon - the daemon sharing settings from GNOME to GTK+/KDE applications
Review Request: gnome-settings-daemon - the daemon sharing settings from GNOM...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-15 10:14 EST by Bastien Nocera
Modified: 2013-01-09 23:32 EST (History)
4 users (show)

See Also:
Fixed In Version: 2.21.5.2-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-18 10:33:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mclasen: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2008-01-15 10:14:48 EST
Spec URL: http://people.redhat.com/bnocera/gnome-settings-daemon/gnome-settings-daemon.spec
SRPM URL: http://people.redhat.com/bnocera/gnome-settings-daemon/gnome-settings-daemon-2.21.5-1.fc9.src.rpm
Description: A daemon to share settings from GNOME to other applications. It also handles global keybindings, as well as a number of desktop-wide settings.
Comment 1 Matthias Clasen 2008-01-15 13:07:17 EST
I updated to 2.21.5.1, but it turned out that it doesn't build. Waiting for a
fixes upstream release before attaching a mock-proof spec...
Comment 3 Matthias Clasen 2008-01-15 15:14:01 EST
rpmlint output:

[mclasen@localhost Desktop]$ rpmlint
/var/lib/mock/fedora-development-i386/result/gnome-settings-daemon-2.21.5.2-1.fc9.i386.rpm

gnome-settings-daemon.i386: W: non-conffile-in-etc
/etc/gconf/schemas/desktop_gnome_font_rendering.schemas
gnome-settings-daemon.i386: W: non-conffile-in-etc
/etc/gconf/schemas/apps_gnome_settings_daemon_screensaver.schemas
gnome-settings-daemon.i386: W: non-conffile-in-etc
/etc/gconf/schemas/gnome-settings-daemon.schemas
gnome-settings-daemon.i386: W: non-conffile-in-etc
/etc/gconf/schemas/apps_gnome_settings_daemon_keybindings.schemas
gnome-settings-daemon.i386: W: non-conffile-in-etc
/etc/gconf/schemas/apps_gnome_settings_daemon_default_editor.schemas
[mclasen@localhost Desktop]$ rpmlint
/var/lib/mock/fedora-development-i386/result/gnome-settings-daemon-*.rpm 
gnome-settings-daemon.i386: W: non-conffile-in-etc
/etc/gconf/schemas/desktop_gnome_font_rendering.schemas
gnome-settings-daemon.i386: W: non-conffile-in-etc
/etc/gconf/schemas/apps_gnome_settings_daemon_screensaver.schemas
gnome-settings-daemon.i386: W: non-conffile-in-etc
/etc/gconf/schemas/gnome-settings-daemon.schemas
gnome-settings-daemon.i386: W: non-conffile-in-etc
/etc/gconf/schemas/apps_gnome_settings_daemon_keybindings.schemas
gnome-settings-daemon.i386: W: non-conffile-in-etc
/etc/gconf/schemas/apps_gnome_settings_daemon_default_editor.schemas
gnome-settings-daemon.src: W: mixed-use-of-spaces-and-tabs (spaces: line 37,
tab: line 1)
gnome-settings-daemon-devel.i386: W: no-documentation

I'll fix the spaces/tabs thing, the rest are ignorable


package name: ok
spec file name: ok
packaging guidelines: ok
license: ok
license field: ok
license file: ok
spec file language: ok
spec file readable: yes
upstream sources: ok
buildable: yes
excludearch: n/a
buildrequires: ok
locale handling: ok
shared libs: n/a
relocatable: n/a
directory ownership: need to own /usr/include/gnome-settings-daemon-2.0
%file list: ok
permissions: need to add %defattr to devel file list
%clean: ok
macro use: consistent
content: code
large docs: n/a
%doc content: ok
header files: ok
static libs: n/a
pkgconfig files: ok
libraries: n/a
devel deps: ok
.la files: n/a
gui app: n/a
file ownership: ok
%install: ok
utf8: ok

Comment 5 Matthias Clasen 2008-01-15 15:53:58 EST
Approved.
Comment 6 Matthias Clasen 2008-01-15 15:58:17 EST
New Package CVS Request
=======================
Package Name: gnome-settings-daemon 
Short Description: A daemon to share settings from GNOME to other applications
Owners: bnocera@redhat.com
Branches: 
InitialCC: 
Cvsextras Commits:
Comment 7 Kevin Fenzi 2008-01-15 21:59:15 EST
Humm... this review looks very strange. No comments at all from the submitter,
and the reviewer fixing and approving the package. 

Bastien: are you going to maintain this package? 
Comment 8 Matthias Clasen 2008-01-15 23:36:06 EST
I did the work on both sides of the review here, since Bastian was already gone,
and I wanted this finished... it is not a big deal anyway, this is just a part
of the control-center package that Bastian already maintains, broken out as a
separate package. 
Comment 9 Bastien Nocera 2008-01-16 06:05:05 EST
(In reply to comment #7)
<snip>
> Bastien: are you going to maintain this package? 

Yes, not that it makes much difference. The code is what used to be in the
control-center, so it's just a split out package.

Comment 10 Kevin Fenzi 2008-01-16 12:44:25 EST
How about I do another review here just to check over everything and then you
guys can co-maintain it? 

I can do that later tonight...
Comment 11 Jesse Keating 2008-01-16 17:12:11 EST
I've done one.

rpmlint only complains about schema files, which aren't config files so not
being marked as %config is fine.

gnome-settings-daemon.i386: W: non-conffile-in-etc
/etc/gconf/schemas/desktop_gnome_font_rendering.schemas
gnome-settings-daemon.i386: W: non-conffile-in-etc
/etc/gconf/schemas/apps_gnome_settings_daemon_screensaver.schemas
gnome-settings-daemon.i386: W: non-conffile-in-etc
/etc/gconf/schemas/gnome-settings-daemon.schemas
gnome-settings-daemon.i386: W: non-conffile-in-etc
/etc/gconf/schemas/apps_gnome_settings_daemon_keybindings.schemas
gnome-settings-daemon.i386: W: non-conffile-in-etc
/etc/gconf/schemas/apps_gnome_settings_daemon_default_editor.schemas
gnome-settings-daemon-devel.i386: W: no-documentation


It builds fine in mock

Name/Summary/Description is fine
License is correct
source tarball matches the sha1sum
source line matches upstream location
Buildroot is acceptable
BuildRequires all look fine
as do all the other Requires
scriptlets are sane
files are sane

Passes review.
Comment 12 Bastien Nocera 2008-01-17 05:57:37 EST
Could someone please create the CVS repo now? Thanks.
Comment 13 Kevin Fenzi 2008-01-17 12:19:43 EST
cvs done. 

Sorry to hassle you guys. 
Comment 14 Bastien Nocera 2008-01-17 12:33:57 EST
Kevin, could you please fix the permissions on the module for me?
**** Access denied: hadess is not in ACL for rpms/gnome-settings-daemon/devel

Thanks.
Comment 15 Kevin Fenzi 2008-01-17 12:42:55 EST
When did you try? The acl cron job runs twice an hour... perhaps just try again
after the top of the hour? You should be set as owner... 
Comment 16 Bastien Nocera 2008-01-18 10:33:01 EST
Done, gnome-settings-daemon-2.21.5.2-2.fc9 built in rawhide. Thanks Kevin.

Note You need to log in before you can comment on or make changes to this bug.